CREATE OR REPLACE VIEW food600.ssk__plt
 AS
 SELECT sk__plt.c_uzaverka,
    sk__plt.ucet,
    sk__plt.druh_pl,
    sk__plt.cena_pl,
    sk__plt.tip,
    sk__plt.mena,
    sk__plt.cena_mena,
    sk__plt.poradi,
    sk__plt.text,
    sk__plt.c_data,
    sk__plt.kompez,
    sk__plt.fik,
    sk__plt.bkp,
    sk__plt.cas_odesl,
    sk__plt.preplatok,
    sk__plt.referencia,
    sk__plt.cena_real
   FROM food600.sk__plt
  WHERE sk__plt.kompez = 0
UNION
 SELECT sk__plt.c_uzaverka,
    100000 + sk__plt.ucet AS ucet,
    sk__plt.druh_pl,
    sk__plt.cena_pl,
    sk__plt.tip,
    sk__plt.mena,
    sk__plt.cena_mena,
    sk__plt.poradi,
    sk__plt.text,
    sk__plt.c_data,
    sk__plt.kompez,
    sk__plt.fik,
    sk__plt.bkp,
    sk__plt.cas_odesl,
    sk__plt.preplatok,
    sk__plt.referencia,
    sk__plt.cena_real
   FROM food600.sk__plt
     JOIN food600.sskpltkompez ON sk__plt.c_uzaverka = sskpltkompez.c_uzaverka AND sk__plt.ucet = sskpltkompez.ucet
  WHERE sk__plt.kompez = 1 AND sskpltkompez.cena_pl <> 0::numeric
UNION
 SELECT sk__plt.c_uzaverka,
    sk__plt.ucet,
    sk__plt.druh_pl,
    sk__plt.cena_pl,
    sk__plt.tip,
    sk__plt.mena,
    sk__plt.cena_mena,
    sk__plt.poradi,
    sk__plt.text,
    sk__plt.c_data,
    sk__plt.kompez,
    sk__plt.fik,
    sk__plt.bkp,
    sk__plt.cas_odesl,
    sk__plt.preplatok,
    sk__plt.referencia,
    sk__plt.cena_real
   FROM food600.sk__plt
     JOIN food600.sskpltkompez ON sk__plt.c_uzaverka = sskpltkompez.c_uzaverka AND sk__plt.ucet = sskpltkompez.ucet
  WHERE sk__plt.kompez = 1 AND sskpltkompez.cena_pl = 0::numeric;

